Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.factory.ai/api/v0/computers \ --header 'Authorization: Bearer <token>'
{ "computers": [ { "id": "<string>", "name": "<string>", "createdAt": 123, "hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "hostname": "<string>", "provisioningSteps": [ { "id": "<string>", "name": "<string>", "status": "<string>", "error": "<string>", "startedAt": 123, "completedAt": 123, "installSessionId": "<string>" } ], "relayClientUrl": "<string>", "relayAgentUrl": "<string>", "remoteUser": "<string>", "ownerPrincipalKind": "<string>", "ownerId": "<string>" } ] }
Returns all persistent computer environments for the authenticated organization.
Factory API key or JWT token for authentication
Whether to include provisioning step details.
true
false
Response for status 200
Show child attributes